// 登录校验接口
import httputils from '@/api/httputils'
const testApi = '/serve/topology-wanda';
const dataApi = '';
// const testApi = '/serve'
//获取图例分类结构
export function queryByGroup(params) {
    return httputils.getJson(`${testApi}/graphCategory/queryByGroup`, params)
}

//查询专业分类下的图例信息并分组
export function queryGroup(postParams) {
    return httputils.postJson(`${testApi}/graphRelation/queryGroup`, postParams)
}
//保存系统图
export function saveGroup(postParams) {
    return httputils.postJson(`${testApi}/graph/save`, postParams)
}

//查询系统图展示所需数据
export function readGroup(postParams) {
    return httputils.postJson(`${testApi}/graph/read`, postParams)
}
//上传图片
export function uploadImg({
    postParams
}) {
    return httputils.postJson(`${testApi}/Picture/create`, postParams)
}
//查询图元素类型信息
export function getGraphElementType(params){
    return httputils.postJson(`${testApi}/graphElement/type/query`, params)
}
// 设备设施-主要设备清单-详情
export function queryGlsmsasset(data,params){
    return httputils.fetchJson(`${dataApi}/data/glsms_asset/queryByClassStructure`,data, params)
}

// 查询楼层清单
export function getPlazaFloor(data){
    return httputils.getJson(`${dataApi}/data/plaza/floor`, data)
}
// 查询专业系统
export function getQuerySmsxt(params){
    return httputils.postJson(`${dataApi}/data/v_glsms_systemcfg/querySmsxt`, params)
}
// 查询工程信息化系统及下级设备分类
export function getQuerySmsxtBy(data,params){
    return httputils.postJson(`${dataApi}/data/base/queryClassStructureBySmsxt?smsxt=${data.smsxt}`, params)
}
// 查询位置台账
export function queryGlsmsLocation(data,params){
    return httputils.fetchJson(`${dataApi}/data/v_glsms_location/query`,data, params)
}
// 根据位置大类查询位置分类
export function queryWzflByDl(data,params){
    return httputils.postJson(`${dataApi}/data/base/queryWzflByDl?dl=${data.dl}`, params)
}
// 查询位置大类
export function queryWzfldl(data,params){
    return httputils.postJson(`${dataApi}/data/base/queryWzfldl`, params)
}

// 查询图例统计信息
export function queryStatistic(data,params){
    return httputils.fetchJson(`${testApi}/graphElement/statistic/querySupply`,data, params)
}

// 草稿箱专业楼层结构查询
export function queryDraftGroup(data,params){
    return httputils.getJson(`${testApi}/graph/draftGroup`,data, params)
}

//查询当前分类下的typeid(提取)
export function queryTypeGraph(params){
    return httputils.getJson(`${testApi}/graphCategory/getInfoTypeId`, params)
}

//根据id删除图形信息
export function deleteGraph(params){
    return httputils.postJson(`${testApi}/graph/delete`, params)
}

// 发布系统图
export function publishGraph(params){
    return httputils.postJson(`${testApi}/graph/publish`, params)
}
// 查询设备台账
export function queryGlsmsAsset(data,params){
    return httputils.fetchJson(`${dataApi}/data/glsms_asset/query`,data, params)
}
// 查询工程信息化信息
export function queryInfoSystem(params){
    return httputils.postJson(`${testApi}/infoSystem/query`, params)
}
// 图例搜索
export function graphElementGroup(params){
    return httputils.postJson(`${testApi}/infoSystem/graphElementGroup`, params)
}
// 图例搜索(提取用)
export function graphElementSearch(params){
    return httputils.postJson(`${testApi}/graphElement/search`, params)
}